Bug 197292 - Review Request: perl-Contextual-Return
Review Request: perl-Contextual-Return
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 197304
  Show dependency treegraph
 
Reported: 2006-06-29 19:25 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-03 13:56:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-06-29 19:25:05 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Contextual-Return.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Contextual-Return-v0.1.0-0.fc5.src.rpm

Description: 
This module allows you to define return values of a perl sub which are
appropriate given the calling context.
Comment 1 Jason Tibbitts 2006-06-29 20:23:32 EDT
Note that BuildRequires: perl is not required, and BuildRequires:
perl(Test::More) is doubly redundant as it is part of the base Perl package.

For some reason this package provides perl(Carp) and perl(DB), probably because
the dependency generator finds "package Carp" and "package DB" somewhere in the
package.  You will need to filter these.

Some tests are skipped due to missing modules.  You should add BR:
perl(Test::Pod) and perl(Test::Pod::Coverage) for better test coverage.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   2651c1c521ad4b42e0efbeac664fade6  Contextual-Return-v0.1.0.tar.gz
* latest version is being packaged.
O BuildRequires are proper (perl and perl(Test::More) are unnecessary)
* package builds in mock (development, x86_64).
* rpmlint is silent.
X final provides and requires are sane:
X  perl(Carp)
   perl(Contextual::Return)
   perl(Contextual::Return::Failure)
   perl(Contextual::Return::Lvalue)
   perl(Contextual::Return::Value)
X  perl(DB)
   perl-Contextual-Return = v0.1.0-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Contextual::Return)
   perl(Scalar::Util)
   perl(Want)
   perl(overload)
   perl(strict)
   perl(version)
   perl(warnings)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
X %check is present and all tests pass, but some are skipped due to missing
modules which are present in the distro:
   All tests successful, 2 tests skipped.
   Files=17, Tests=180,  1 wallclock secs ( 0.62 cusr +  0.21 csys =  0.83 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 3 Jason Tibbitts 2006-07-03 13:11:11 EDT
All tests now pass with none skipped:
   All tests successful.
   Files=17, Tests=184,  1 wallclock secs ( 0.75 cusr +  0.28 csys =  1.03 CPU)

The provides are OK now:
   perl(Contextual::Return)
   perl(Contextual::Return::Failure)
   perl(Contextual::Return::Lvalue)
   perl(Contextual::Return::Value)
   perl-Contextual-Return = v0.1.0-0.1.fc6

APPROVED
Comment 4 Chris Weyl 2006-07-03 13:56:07 EDT
Imported and building for devel -- will build for FC-4, FC-5 after branching.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.